/*your custom css goes here*/

:root {
    --secondary: #880F12;
}

/* Absolute Center Spinner */
.loading {
    position: fixed;
    z-index: 9999;
    height: 2em;
    width: 2em;
    overflow: show;
    margin: auto;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

/* Transparent Overlay */
.loading:before {
    content: '';
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: radial-gradient(rgba(20, 20, 20, .8), rgba(0, 0, 0, .8));

    background: -webkit-radial-gradient(rgba(20, 20, 20, .8), rgba(0, 0, 0, .8));
}

/* :not(:required) hides these rules from IE9 and below */
.loading:not(:required) {
    /* hide "loading..." text */
    font: 0/0 a;
    color: transparent;
    text-shadow: none;
    background-color: transparent;
    border: 0;
}

.loading:not(:required):after {
    content: '';
    display: block;
    font-size: 10px;
    width: 1em;
    height: 1em;
    margin-top: -0.5em;
    -webkit-animation: spinner 150ms infinite linear;
    -moz-animation: spinner 150ms infinite linear;
    -ms-animation: spinner 150ms infinite linear;
    -o-animation: spinner 150ms infinite linear;
    animation: spinner 150ms infinite linear;
    border-radius: 0.5em;
    -webkit-box-shadow: rgba(255, 255, 255, 0.75) 1.5em 0 0 0, rgba(255, 255, 255, 0.75) 1.1em 1.1em 0 0, rgba(255, 255, 255, 0.75) 0 1.5em 0 0, rgba(255, 255, 255, 0.75) -1.1em 1.1em 0 0, rgba(255, 255, 255, 0.75) -1.5em 0 0 0, rgba(255, 255, 255, 0.75) -1.1em -1.1em 0 0, rgba(255, 255, 255, 0.75) 0 -1.5em 0 0, rgba(255, 255, 255, 0.75) 1.1em -1.1em 0 0;
    box-shadow: rgba(255, 255, 255, 0.75) 1.5em 0 0 0, rgba(255, 255, 255, 0.75) 1.1em 1.1em 0 0, rgba(255, 255, 255, 0.75) 0 1.5em 0 0, rgba(255, 255, 255, 0.75) -1.1em 1.1em 0 0, rgba(255, 255, 255, 0.75) -1.5em 0 0 0, rgba(255, 255, 255, 0.75) -1.1em -1.1em 0 0, rgba(255, 255, 255, 0.75) 0 -1.5em 0 0, rgba(255, 255, 255, 0.75) 1.1em -1.1em 0 0;
}

/* Animation */

@-webkit-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-moz-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-o-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

/* Guest */
.bg-light-gray {
    background-color: #FAFAFA;
}

.header-logo {
    height: 76px;
}

.login-title {
    margin-top: 0;
    text-align: center;
}

.login-subtile {
    margin-top: 0;
    margin-bottom: 0;
    text-align: center;
}

.login-title h1 {
    font-size: 43px;
}

.forgot-password-link {
    color: #2F80ED;
    font-size: 16px;
    font-weight: 700;
}

.login-form label {
    font-size: 16px;
    font-weight: 600;
}

.login-btn button {
    font-weight: 600;
    font-size: 18px;
}

.login-btn a {
    font-weight: 600;
    font-size: 18px;
}

.first-login-form label {
    font-size: 16px;
    font-weight: 600;
}

.first-login-btn button {
    font-weight: 600;
    font-size: 18px;
}

.first-login-btn button {
    font-weight: 600;
    font-size: 18px;
}

.footer-company-name {
    font-size: 18px;
    font-weight: 800;
}

.footer-description {
    font-size: 16px;
    font-weight: 400;
}

/* Authenticated */
.navigation-link {
    font-size: 18px;
    font-weight: 600;
    color: #374151;
    display: flex;
    align-items: center;
}

.aiz-carousel.dots-inside-bottom-offset .slick-dots {
    position: absolute;
    bottom: 35px;
    left: 50%;
    transform: translateX(-50%);
    -webkit-transform: translateX(-50%);
}


.navigation-link img {
    margin-right: 5px;
}

/* Font Sizes */
.font-size-14px {
    font-size: 14px;
}

.font-size-15px {
    font-size: 15px;
}

.font-size-16px {
    font-size: 16px;
}

.font-size-17px {
    font-size: 17px;
}

.font-size-18px {
    font-size: 18px;
}

.font-size-20px {
    font-size: 20px;
}

.font-size-22px {
    font-size: 22px;
}

.font-size-24px {
    font-size: 24px;
}

.font-size-26px {
    font-size: 26px;
}

.font-size-30px {
    font-size: 30px;
}

.font-size-50px {
    font-size: 50px;
}

/* Border Radius */
.border-radius-8px {
    border-radius: 8px;
}

.border-radius-20px {
    border-radius: 20px;
}

/* Font Colors */
.text-pink-red {
    color: #EC1D23;
}

.text-darker-gray {
    color: #777777;
}

.text-dark-gray {
    color: #4D4D4D;
}

.text-dark-howl {
    color: #1B1B28;
}

.text-dark-charcoal {
    color: #333333;
}

.text-dark-grayish-blue {
    color: #333E48;
}

.text-blue-charcoal {
    color: #212529;
}

.text-dark-gray-2 {
    color: #818181;
}

.text-gray-19 {
    color: #303030;
}

.text-bright-blue {
    color: #2F80ED;
}

/* Background Colors */
.bg-light-grayish-red {
    background-color: #F3E7E7;
}

.bg-pink-red {
    background-color: #EC1D23;
}

/* Cart */
.cart-icon {
    position: relative;
    padding-top: 20px;
    display: inline-block;
}

.cart-item-count-badge {
    position: absolute;
    right: -15px;
    top: 5px;
    background: var(--primary);
    text-align: center;
    border-radius: 30px;
    color: white;
    padding: 2px 10px;
    font-size: 18px;
}

/* Heights */
.h-md-251px {
    height: 251px;
}

/* sm */
@media only screen and (max-width: 600px) {
    .font-size-sm-12px {
        font-size: 12px;
    }

    .font-size-sm-13px {
        font-size: 13px;
    }

    .font-size-sm-14px {
        font-size: 14px;
    }

    .font-size-sm-18px {
        font-size: 18px;
    }

    .header-logo {
        height: 50px;
    }

    .cart-icon {
        position: relative;
        padding-top: 0;
        display: inline-block;
    }

    .cart-item-count-badge {
        position: absolute;
        right: -5px;
        top: -7px;
        background: var(--primary);
        text-align: center;
        border-radius: 30px;
        color: white;
        padding: 2px 7px;
        font-size: 9px;
    }

    .pr-xs-0
    {
        padding-right: 0px !important;
    }

    .px-xs-0
    {
        padding-left: 0px !important;
        padding-right: 0px !important;
    }

    .mobile-xs-inline-block
    {
        display: inline-block !important;
    }

    .mobile-xs-flex
    {
        display: flex !important;
    }

    .delete-btn-box > a:last-child
    {
        border: 1px solid red;
        width: 100px !important;
        margin-top: 10px
    }
    
    .checkout-quantity-box,
    .checkout-quantity-box > div,
    .checkout-quantity-box > span,
    .checkout-quantity-box > input
    {
        text-align:left !important;
    }

    .mt-xs-5
    {
        margin-top: 5px !important;
    }

    .pt-xs-0
    {
        padding-top: 0px !important;
    }

    .notification-list > li:first-child .media-body
    {
        margin-top: 0px;
    }

    .notification-list .media
    {
        flex-wrap: wrap;
    }

    .notification-list .media .media-body
    {
        width: 100%;
        margin-top: 10px;
    }

    .notification-list .media small
    {
        width: 100%;
        float: none !important;
        margin-top: 15px
    }

    .quotation-filter
    {
        flex-wrap: wrap;
        margin-bottom: 10px !important;
    }

    .quotation-filter .status_pill
    {
        margin-right: 0px !important;
        width: calc(50% - 5px) !important;
        margin-bottom: 10px;
    }

    .quotation-filter .status_pill:nth-child(odd)
    {
        margin-right: 10px !important
    }

    .text-left-xs
    {
        text-align: left !important;
    }

    .quotation-name-box > img
    {
        margin: 0 auto;
    }

    .quotation-name-box > div
    {
        margin-left:0px !important;
        padding:0px !important;
        margin-top:10px;
        margin-bottom:5px;
        width: 100%;
    }

    .header-box
    {
        margin-bottom: 40px;
    }

    .search-main-box
    {
        position: absolute;
        top: 78px;
        margin: 0px !important;
        width: 100%;
        left: 0px;
    }

    .search-main-box > form
    {
        width: 95%;
        margin: 0px !important;
    }

    .search-main-box input
    {
        border: 1px solid #DDD !important;
    }

    #sidebar
    {
        top: 175px;
    }

    .order-product-box
    {
        flex-wrap: wrap;
    }

    .order-product-box > div:first-child
    {
        width: 100%;
        margin-bottom: 15px;
        justify-content: center !important;
    }

    .order-product-box > div:last-child 
    {
        margin-left: 0px !important;

    }

    .order-product-box .checkout-quantity-box:not(:last-child)
    {
        display: flex;
        justify-content: flex-start !important;
        flex-wrap: nowrap !important;
    }

    .sales-product-box.row
    {
        margin-left: 0px;
        margin-right: 0px;
    }

    .order-product-box .checkout-quantity-box:not(:last-child) > div:first-child,
    .sales-product-box > div:nth-child(2) > div
    {
        width: auto !important;
        flex-shrink: 0;
        margin-right: 5px;
    }

    .order-product-box .checkout-quantity-box:not(:last-child) > div:first-child br,
    .sales-product-box > div:nth-child(2) > div br
    {
        display: none;
    }

    .order-product-box .checkout-quantity-box:not(:last-child) > input,
    .sales-product-box > div:nth-child(2) > input
    {
        padding:0px;
        text-align: left !important;
    }

    .sales-product-box > div:first-child
    {
        flex-wrap: wrap;
        padding: 0px;
        margin-bottom: 0px;
    }

    .sales-product-box > div:first-child > img
    {
        margin: 0 auto;
        margin-bottom: 15px;
    }

    .sales-product-box > div:first-child > div
    {
        margin-left: 0px !important;
        width: 100%;
    }

    .sales-product-box > div:not(:first-child)
    {
        text-align: left !important;
        padding:0px;
    }

    .sales-product-box > div:nth-child(2)
    {
        display: flex;
        flex-wrap: wrap;
    }

    .quotation-price, .quotation-qty{
        display: inline-block;
        width: auto;
    }

    .quotation-price {
        order: 1
    }

    .quotation-qty {
        order:2;
        margin-left: 5px;
    }

    #statement-filter .quotation-filter {
        width: 100%;
    }
}

/* md */
@media only screen and (min-width: 768px) {
    .login-title {
        margin-top: 0px;
        text-align: left;
    }

    .login-subtitle {
        margin-top: 10px;
        text-align: left;
        font-size: 15px;
    }

    .login-form {
        margin-top: 35px;
    }

    .login-btn {
        margin-top: 22px;
    }

    .first-login-btn {
        margin-top: 50px;
    }

    #sidebar {
        margin-left: -250px;
    }

    #sidebar.active {
        margin-left: 0;
    }

    .mobile-md-inline-block
    {
        display: inline-block !important;
    }
}

/* lg */
@media only screen and (min-width: 992px) {}

/* xl */
@media only screen and (min-width: 1200px) {}

/* Overwrites */
.breadcrumb-item+.breadcrumb-item::before {
    content: ">";
}

/* Custom styles */
.product-box-description {
    color: #212529;
    -webkit-line-clamp: 2;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.cart-item-count-badge,
.quotation-cart-count
{
    top: -10px;
    right: -10px;
    font-size: 13px;
    width: auto;
    height: auto;
    min-width: 25px;
    min-height: 15px;
    max-width: 30px;
    max-height: 30px;
    padding: 2px 4px;
    text-align: center;
}

.nav-count
{
    font-size: 11px;
    width: auto;
    height: auto;
    min-width: 20px;
    min-height: 20px;
    max-width: 25px;
    max-height: 25px;
    right: -15px;
    top: -8px;
    padding: 3px 2px 2px 3px;
}

.status_pill:hover,
.status_pill.status_active
{
    background: #e2e5ec;
}

.quotation-filter .status_pill
{
    display: flex;
    align-items: center;
    justify-content: center;
}

.quotation-filter .cart-item-count-badge
{
    position: relative;
    top: unset;
    right: unset;
    font-size: 11px;
    min-width: 20px;
    min-height: 20px;
    width: auto;
    height: auto;
    display: inline-block;
    margin-left: 5px;
}

/* swal style */
.swal-text {
    color: #000;
    text-align: center;
    font-size: 18px;
}

.swal-footer {
    text-align: center;
    margin-bottom: 7px;
}

.swal-button:focus {
    box-shadow: none;
}
/* END swal style */